Public APIFeedback
Authorization
publishableKey AuthorizationBearer <token>
Workspace publishable key (wk_pub_...). You can also send X-Landed-Widget-Key instead of Authorization.
In: header
Header Parameters
X-Landed-Visitor-Token?string
Opaque visitor session token. Returned on the first anonymous submission and required to continue that visitor's conversations.
X-Landed-User-Id?string
Host product id from identify(). Must be sent together with X-Landed-User-Email.
X-Landed-User-Email?string
Host product email from identify(). Must be sent together with X-Landed-User-Id.
Format
emailRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/feedback/submissions" \ -H "Content-Type: application/json" \ -d '{ "text": "The export button never finishes.", "conversationId": "conv_123", "idempotencyKey": "retry-export-1", "user": { "id": "user_123", "email": "jane@example.com" }, "context": { "pageUrl": "https://app.example.com/reports" } }'{ "conversationId": "conv_123", "messageId": "msg_123", "status": "accepted"}{ "error": "string"}{ "error": "string"}{ "error": "string"}